IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

React Discussion :

Dépendance obsolète en Réactjs


Sujet :

React

  1. #1
    Nouveau membre du Club Avatar de pacodiasse
    Homme Profil pro
    Développeur Web
    Inscrit en
    mars 2013
    Messages
    25
    Détails du profil
    Informations personnelles :
    Sexe : Homme

    Informations professionnelles :
    Activité : Développeur Web

    Informations forums :
    Inscription : mars 2013
    Messages : 25
    Points : 31
    Points
    31
    Par défaut Dépendance obsolète en Réactjs
    Bonjour les devs,
    Je dois reprendre un projet dont le front est basé sur Réactjs.Je ne suis pas trop fort en Réactjs mais j'ai constaté qu'il a beaucoup de dépendance obsoléte .Si je mets npm install il me signale

    [
    Windows PowerShell
    Copyright (C) Microsoft Corporation. Tous droits réservés.

    PS C:\GS\maw-frontend> npm install
    npm WARN registry Unexpected warning for https://registry.npmjs.org/: Miscellaneous Warning ECONNRESET: request to https://registry.npmjs.org/babel-plu...ove-prop-types failed, reason: Client network socket disconnected before secure TLS connection was establishednpm WARN registry Using stale package data from https://registry.npmjs.org/ due to a request error during revalidation.
    npm WARN deprecated babel-preset-es2015@6.14.0: 🙌 Thanks for using Babel: we recommend using babel-preset-env now: please read https://babeljs.io/env to update!
    npm WARN deprecated mkdirp@0.5.1: Legacy versions of mkdirp are no longer supported. Please update to mkdirp 1.x. (Note that the API surface has changed to use Promises in 1.x.)
    npm WARN deprecated json3@3.3.2: Please use the native JSON object instead of JSON 3
    npm WARN deprecated request@2.88.2: request has been deprecated, see https://github.com/request/request/issues/3142
    npm WARN deprecated ecstatic@1.4.1: https://github.com/jfhbrook/node-ecstatic/issues/259
    npm WARN deprecated jscs-preset-wikimedia@1.0.1: No longer maintained. We recomment migrating to ESLint with eslint-config-wikimedia.
    npm WARN deprecated core-js@2.6.11: core-js@<3 is no longer maintained and not recommended for usage due to the number of issues. Please, upgrade your dependencies to the actual version of core-js@3.
    npm WARN deprecated browserslist@1.3.6: Browserslist 2 could fail on reading Browserslist >3.0 config used in other tools.
    npm WARN deprecated react-resizable-box@1.8.4: CAUTION react-resizable-box is renamed to re-resizable. Please use re-resizable if you want to
    use latest package.
    npm WARN deprecated har-validator@5.1.5: this library is no longer supported
    npm WARN deprecated nomnom@1.8.1: Package no longer supported. Contact support@npmjs.com for more info.
    npm WARN deprecated circular-json@0.3.3: CircularJSON is in maintenance only, flatted is its successor.
    npm WARN deprecated browserslist@1.7.7: Browserslist 2 could fail on reading Browserslist >3.0 config used in other tools.
    npm WARN deprecated core-js@1.2.7: core-js@<3 is no longer maintained and not recommended for usage due to the number of issues. Please, upgrade your dependencies to the actual version of core-js@3.
    npm WARN deprecated chokidar@1.7.0: Chokidar 2 will break on node v14+. Upgrade to chokidar 3 with 15x less dependencies.
    npm WARN deprecated chokidar@2.1.8: Chokidar 2 will break on node v14+. Upgrade to chokidar 3 with 15x less dependencies.
    npm WARN deprecated fsevents@1.2.13: fsevents 1 will break on node v14+ and could be using insecure binaries. Upgrade to fsevents 2.
    npm WARN deprecated gulp-util@3.0.8: gulp-util is deprecated - replace it, following the guidelines at https://medium.com/gulpjs/gulp-util-ca3b1f9f9ac5
    npm WARN deprecated rc-radio@2.0.1: rc-radio is deprecated, please use rc-checkbox instead.
    npm WARN deprecated resolve-url@0.2.1: https://github.com/lydell/resolve-url#deprecated
    ]
    Du coup je ne peux pas recompiler le projet en local et continuer le développement.Je n'ose pas mettre à jour les dépendances histoire d'avoir des erreurs avec la version qui fonctionne actuellement.
    Avez-vous une idée ou une piste de réflexion?
    Merci bon dév

  2. #2
    Membre du Club
    Homme Profil pro
    Développeur Web
    Inscrit en
    octobre 2020
    Messages
    35
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Âge : 37
    Localisation : France, Haute Garonne (Midi Pyrénées)

    Informations professionnelles :
    Activité : Développeur Web
    Secteur : High Tech - Multimédia et Internet

    Informations forums :
    Inscription : octobre 2020
    Messages : 35
    Points : 68
    Points
    68
    Par défaut
    Salutations,
    Rien de grave jusqu'ici ce sont des warnings qui ne te causeront pas grand tort. En revanche tu peux faire un npm audit fix pour voir si tu as des packages obsolètes qui eux pourraient causer des failles de sécurité

    Développeur freelance à Toulouse - site en construction

Discussions similaires

  1. [D8] Assembly et dépendance
    Par guiguit dans le forum Delphi .NET
    Réponses: 2
    Dernier message: 22/06/2004, 16h11
  2. Un outil pour evaluer les dépendances
    Par karbone dans le forum Choisir un environnement de développement
    Réponses: 2
    Dernier message: 30/03/2004, 14h36
  3. [Makefile] [Avancé]Récupération de dépendances
    Par Ruok dans le forum Systèmes de compilation
    Réponses: 4
    Dernier message: 06/02/2004, 12h52
  4. Recherche des dépendances des modules
    Par slowpoke dans le forum Mandriva / Mageia
    Réponses: 9
    Dernier message: 11/12/2003, 08h49
  5. [Concept] Dépendances fonctionnelles
    Par bolo dans le forum Décisions SGBD
    Réponses: 4
    Dernier message: 24/01/2003, 20h13

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo